gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.Engine

Contents

- Exported types

Description

`Engine` is the base class for all types of language and script specific engines. It has no functionality by itself.

Synopsis

- newtype Engine = Engine (ManagedPtr Engine)
- class GObject o => IsEngine o
- toEngine :: (MonadIO m, IsEngine o) => o -> m Engine
- noEngine :: Maybe Engine

# Exported types

newtype Engine Source #

Memory-managed wrapper type.

Constructors

Engine (ManagedPtr Engine) |

Instances

GObject Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine Methods gobjectType :: Engine -> IO GType Source #
IsObject Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine
IsEngine Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine

class GObject o => IsEngine o Source #

Type class for types which can be safely cast to `Engine`, for instance with `toEngine`.

Instances

(GObject a, (UnknownAncestorError Engine a :: Constraint)) => IsEngine a Source # |
Instance details Defined in GI.Pango.Objects.Engine
IsEngine Engine Source # |
Instance details Defined in GI.Pango.Objects.Engine
IsEngine EngineLang Source # |
Instance details Defined in GI.Pango.Objects.EngineLang
IsEngine EngineShape Source # |
Instance details Defined in GI.Pango.Objects.EngineShape

toEngine :: (MonadIO m, IsEngine o) => o -> m Engine Source #

Cast to `Engine`, for types for which this is known to be safe. For general casts, use `castTo`.

noEngine :: Maybe Engine Source #

A convenience alias for `Nothing` :: `Maybe` `Engine`.